<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'ImportCSV' => [ 'ImportCSV' ],
	'ImportXML' => [ 'ImportXML' ],
	'ImportSpreadsheet' => [ 'ImportSpreadsheet' ],
	'ViewXML' => [ 'ViewXML' ],
];

/** Afrikaans (Afrikaans) */
$specialPageAliases['af'] = [
	'ViewXML' => [ 'WysXML' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'ImportCSV' => [ 'استيراد_سي_إس_في' ],
	'ImportXML' => [ 'استيراد_إكس_إم_إل' ],
	'ViewXML' => [ 'عرض_إكس_إم_إل' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'ImportCSV' => [ 'استيراد_سى_اس_فى' ],
	'ImportXML' => [ 'استيراد_اكس_ام_ال' ],
	'ViewXML' => [ 'عرض_اكس_ام_ال' ],
];

/** Assamese (অসমীয়া) */
$specialPageAliases['as'] = [
	'ImportCSV' => [ 'CSV_আমদানি' ],
	'ImportXML' => [ 'XML_আমদানি' ],
	'ViewXML' => [ 'XML_পৰিদৰ্শন' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'ImportCSV' => [ 'سی_اس_وی_ئی_درون_ریچی' ],
	'ImportXML' => [ 'اکس_ام_ال_ئی_درون_ریچی' ],
	'ViewXML' => [ 'اکس_ام_ال_ئی_دیستین' ],
];

/** Banjar (Bahasa Banjar) */
$specialPageAliases['bjn'] = [
	'ViewXML' => [ 'Itihi_XML' ],
];

/** Breton (brezhoneg) */
$specialPageAliases['br'] = [
	'ImportCSV' => [ 'EnporzhiañCSV' ],
	'ImportXML' => [ 'EnporzhiañXML' ],
	'ViewXML' => [ 'GweletXML' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'ViewXML' => [ 'VidiXML' ],
];

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = [
	'ImportCSV' => [ '導底CSV' ],
	'ImportXML' => [ '導底XML' ],
	'ViewXML' => [ '看蜀看XML' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'ImportCSV' => [ 'CSV_importieren' ],
	'ImportXML' => [ 'XML_importieren' ],
	'ViewXML' => [ 'XML_anzeigen' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'ImportCSV' => [ 'CSVCıKe' ],
	'ImportXML' => [ 'XMLCıKe' ],
	'ViewXML' => [ 'XMLBivêne' ],
];

/** Greek (Ελληνικά) */
$specialPageAliases['el'] = [
	'ImportCSV' => [ 'ΕισαγωγήCSV' ],
	'ImportXML' => [ 'ΕισαγωγήXML' ],
	'ViewXML' => [ 'ΠροβολήXML' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'ImportCSV' => [ 'Enporti_CSV', 'Importi_CSV' ],
	'ImportXML' => [ 'Enporti_XML', 'Importi_XML' ],
	'ViewXML' => [ 'Montri_XML' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'ViewXML' => [ 'Ver_XML', 'VerXML' ],
];

/** Basque (euskara) */
$specialPageAliases['eu'] = [
	'ViewXML' => [ 'XMLIkusi' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'ImportCSV' => [ 'درون‌ریزی_سی‌اس‌وی' ],
	'ImportXML' => [ 'درون‌ریزی_اکس‌ام‌ال' ],
	'ViewXML' => [ 'مشاهدهٔ_اکس‌ام‌ال' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'ImportCSV' => [ 'Tuo_CSV' ],
	'ImportXML' => [ 'Tuo_XML' ],
	'ViewXML' => [ 'Näytä_XML' ],
];

/** French (français) */
$specialPageAliases['fr'] = [
	'ImportCSV' => [ 'Importer_CVS', 'ImporterCVS' ],
	'ImportXML' => [ 'Importer_XML', 'ImporterXML' ],
	'ViewXML' => [ 'Voir_le_XML', 'Voir_XML', 'VoirXML' ],
];

/** Arpitan (arpetan) */
$specialPageAliases['frp'] = [
	'ViewXML' => [ 'Vêre_lo_XML', 'VêreLoXML' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'ImportCSV' => [ 'Importar_o_CSV' ],
	'ImportXML' => [ 'Importar_o_XML' ],
	'ViewXML' => [ 'Ver_o_XML' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'ViewXML' => [ 'Lueg_XML' ],
];

/** Gujarati (ગુજરાતી) */
$specialPageAliases['gu'] = [
	'ViewXML' => [ 'XMLજુઓ' ],
];

/** Hawaiian (Hawai`i) */
$specialPageAliases['haw'] = [
	'ImportCSV' => [ 'KākomoCSV', 'KakomoCSV' ],
	'ImportXML' => [ 'KākomoXML', 'KakomoXML' ],
	'ViewXML' => [ 'NānāXML', 'NanaXML' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'ImportCSV' => [ 'CSV_importować' ],
	'ImportXML' => [ 'XML_importować' ],
	'ViewXML' => [ 'XML_pokazać' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'ImportCSV' => [ 'EnpòteCSV' ],
	'ImportXML' => [ 'EnpòteXML' ],
	'ViewXML' => [ 'WèXML' ],
];

/** Hungarian (magyar) */
$specialPageAliases['hu'] = [
	'ViewXML' => [ 'XML_megtekintése' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'ImportCSV' => [ 'Importar_CSV' ],
	'ImportXML' => [ 'Importar_XML' ],
	'ViewXML' => [ 'Visualisar_XML' ],
];

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = [
	'ImportCSV' => [ 'Impor_CSV', 'ImporCSV' ],
	'ImportXML' => [ 'Impor_XML', 'ImporXML' ],
	'ViewXML' => [ 'Lihat_XML', 'LihatXML' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'ImportCSV' => [ 'ImportaCSV' ],
	'ImportXML' => [ 'ImportaXML' ],
	'ViewXML' => [ 'VediXML' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'ImportCSV' => [ 'CSV取り込み', 'CSVインポート' ],
	'ImportXML' => [ 'XML取り込み', 'XMLインポート' ],
	'ViewXML' => [ 'XML表示', 'ＸＭＬ表示' ],
];

/** Khmer (ភាសាខ្មែរ) */
$specialPageAliases['km'] = [
	'ViewXML' => [ 'មើលXML' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'ImportCSV' => [ 'CSV가져오기' ],
	'ImportXML' => [ 'XML가져오기' ],
	'ViewXML' => [ 'XML보기' ],
];

/** Colognian (Ripoarisch) */
$specialPageAliases['ksh'] = [
	'ImportCSV' => [ 'CSV_Empotteere' ],
	'ImportXML' => [ 'XML_Empoteere' ],
	'ViewXML' => [ 'XML_beloore' ],
];

/** Cornish (kernowek) */
$specialPageAliases['kw'] = [
	'ImportCSV' => [ 'YmperthiCSV' ],
	'ImportXML' => [ 'YmperthiXML' ],
	'ViewXML' => [ 'GwelesXML' ],
];

/** Ladino (Ladino) */
$specialPageAliases['lad'] = [
	'ImportCSV' => [ 'Aktarear_CSV_Ariento' ],
	'ImportXML' => [ 'Aktarear_XML_Ariento' ],
	'ViewXML' => [ 'Ver_XML' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'ImportCSV' => [ 'CSV_importéieren' ],
	'ImportXML' => [ 'XML_importéieren' ],
	'ViewXML' => [ 'XML_weisen' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'ImportCSV' => [ 'ڤامین_اآڤوردئن_سی_ئس_ڤی' ],
	'ImportXML' => [ 'ڤامین_آڤوردئن_ئیکس_ئم_ئل' ],
	'ViewXML' => [ 'دیئن_ئیکس_ئم_ئل' ],
];

/** Malagasy (Malagasy) */
$specialPageAliases['mg'] = [
	'ImportCSV' => [ 'HanafatraCSV' ],
	'ImportXML' => [ 'HanafatraXML' ],
	'ViewXML' => [ 'HijeryXML' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'ImportCSV' => [ 'УвезиCSV' ],
	'ImportXML' => [ 'УвезиXML' ],
	'ViewXML' => [ 'ВидиXML' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'ImportCSV' => [ 'സി.എസ്.വി.ഇറക്കുമതി' ],
	'ImportXML' => [ 'എക്സ്.എം.എൽ.ഇറക്കുമതി' ],
	'ViewXML' => [ 'എക്സ്.എം.എൽ.കാണുക' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'ViewXML' => [ 'XMLपहा' ],
];

/** Maltese (Malti) */
$specialPageAliases['mt'] = [
	'ViewXML' => [ 'UriXML' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'ImportCSV' => [ 'Importer_CSV' ],
	'ImportXML' => [ 'Importer_XML' ],
	'ViewXML' => [ 'Vis_XML' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'ImportCSV' => [ 'CSV_invoeren' ],
	'ImportXML' => [ 'XML_invoeren' ],
	'ViewXML' => [ 'XML_bekieken' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'ImportCSV' => [ 'CSVImporteren' ],
	'ImportXML' => [ 'XMLImporteren' ],
	'ViewXML' => [ 'XMLBekijken' ],
];

/** Occitan (occitan) */
$specialPageAliases['oc'] = [
	'ViewXML' => [ 'Veire_XML', 'VeireXML' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'ViewXML' => [ 'XML' ],
];

/** Portuguese (português) */
$specialPageAliases['pt'] = [
	'ImportCSV' => [ 'Importar_CSV' ],
	'ImportXML' => [ 'Importar_XML' ],
	'ViewXML' => [ 'Ver_XML' ],
];

/** Romanian (română) */
$specialPageAliases['ro'] = [
	'ImportCSV' => [ 'Import_CSV' ],
	'ImportXML' => [ 'Import_XML' ],
	'ViewXML' => [ 'Vizualizare_XML' ],
];

/** Sanskrit (संस्कृतम्) */
$specialPageAliases['sa'] = [
	'ViewXML' => [ 'XMLपश्यति' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'ImportCSV' => [ 'ImportaCSV' ],
	'ImportXML' => [ 'ImportaXML' ],
	'ViewXML' => [ 'VediXML' ],
];

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = [
	'ViewXML' => [ 'ZobraziťXML' ],
];

/** Albanian (shqip) */
$specialPageAliases['sq'] = [
	'ViewXML' => [ 'ShihXML' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'ImportCSV' => [ 'Importera_CSV' ],
	'ImportXML' => [ 'Importera_XML' ],
	'ViewXML' => [ 'Visa_XML' ],
];

/** Swahili (Kiswahili) */
$specialPageAliases['sw'] = [
	'ViewXML' => [ 'OnyeshaXML' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'ViewXML' => [ 'Tingnan_ang_XML' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'ImportCSV' => [ 'CSVAktar', 'CSVİçeAktar' ],
	'ImportXML' => [ 'XMLAktar', 'XMLİçeAktar' ],
	'ViewXML' => [ 'XMLGör' ],
];

/** Tatar (Cyrillic script) (татарча) */
$specialPageAliases['tt-cyrl'] = [
	'ImportCSV' => [ 'CSV_импорт' ],
	'ImportXML' => [ 'XML_импорт' ],
	'ViewXML' => [ 'XML_иттереп_ачу' ],
];

/** Venetian (vèneto) */
$specialPageAliases['vec'] = [
	'ViewXML' => [ 'VardaXML' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'ImportCSV' => [ 'Nhập_CSV' ],
	'ImportXML' => [ 'Nhập_XML' ],
	'ViewXML' => [ 'Xem_XML' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'ImportCSV' => [ '导入CSV' ],
	'ImportXML' => [ '导入XML' ],
	'ViewXML' => [ '查看XML' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'ImportCSV' => [ '匯入CSV' ],
	'ImportXML' => [ '匯入XML' ],
	'ViewXML' => [ '檢視XML' ],
];
